- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.datasets.insightsdata/export#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.datasets.insightsdata/export#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.datasets.insightsdata/export#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.datasets.insightsdata/export#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.datasets.insightsdata/export#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.datasets.insightsdata/export#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.datasets.insightsdata/export#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/projects.locations.datasets.insightsdata/export#try-it)

Export insights data to a destination defined in the request body.

### HTTP request

`POST https://{endpoint}/v1alpha1/{parent=projects/*/locations/*/datasets/*}/insightsdata:export`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource to export data from. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "filter": string, "kmsKey": string, "writeDisposition": enum (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/WriteDisposition`), "exportSchemaVersion": enum (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/ExportSchemaVersion`), // Union field `destination` can be only one of the following: "bigQueryDestination": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/BigQueryDestination`) } // End of list of possible types for union field `destination`. } ``` |

| Fields ||
|---|---|
| `filter` | `string` A filter to reduce results to a specific subset. Useful for exporting conversations with specific properties. |
| `kmsKey` | `string` A fully qualified KMS key name for BigQuery tables protected by CMEK. Format: projects/{project}/locations/{location}/keyRings/{keyring}/cryptoKeys/{key}/cryptoKeyVersions/{version} |
| `writeDisposition` | ``enum (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/WriteDisposition`)`` Options for what to do if the destination table already exists. |
| `exportSchemaVersion` | ``enum (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/ExportSchemaVersion`)`` Optional. Version of the export schema. |
| Union field `destination`. Exporter destination. `destination` can be only one of the following: ||
| `bigQueryDestination` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/v1alpha1/BigQueryDestination`)`` Specified if sink is a BigQuery table. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-cx/insights/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permissions on the `parent` resource:

- `contactcenterinsights.datasetConversations.list`
- `contactcenterinsights.conversations.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).